osg::Camera::Attachment Struct Reference

`#include <Camera>`

## Public Member Functions

| Attachment ()
int | width () const
int | height () const
int | depth () const

## Public Attributes

GLenum | _internalFormat
ref_ptr< Image > | _image
ref_ptr< Texture > | _texture
unsigned int | _level
unsigned int | _face
bool | _mipMapGeneration
unsigned int | _multisampleSamples
unsigned int | _multisampleColorSamples

## Constructor & Destructor Documentation

## Attachment()

osg::Camera::Attachment::Attachment | ( |  | ) |

inline

References _face, _internalFormat, _level, _mipMapGeneration, _multisampleColorSamples, and _multisampleSamples.

## Member Function Documentation

## depth()

int osg::Camera::Attachment::depth | ( |  | ) | const

inline

References _image, and _texture.

## height()

int osg::Camera::Attachment::height | ( |  | ) | const

inline

References _image, and _texture.

## width()

int osg::Camera::Attachment::width | ( |  | ) | const

inline

References _image, and _texture.

## Member Data Documentation

## _face

unsigned int osg::Camera::Attachment::_face

Referenced by Attachment().

## _image

ref_ptr<Image> osg::Camera::Attachment::_image

Referenced by depth(), height(), and width().

## _internalFormat

GLenum osg::Camera::Attachment::_internalFormat

Referenced by Attachment().

## _level

unsigned int osg::Camera::Attachment::_level

Referenced by Attachment().

## _mipMapGeneration

bool osg::Camera::Attachment::_mipMapGeneration

Referenced by Attachment().

## _multisampleColorSamples

unsigned int osg::Camera::Attachment::_multisampleColorSamples

Referenced by Attachment().

## _multisampleSamples

unsigned int osg::Camera::Attachment::_multisampleSamples

Referenced by Attachment().

## _texture

ref_ptr<Texture> osg::Camera::Attachment::_texture

Referenced by depth(), height(), and width().

The documentation for this struct was generated from the following file:

- Camera